
body {
    margin: 0;
    padding: 0;
    font-family: 'Cormorant Garamond', serif;
    font-style: oblique;
    background-color: transparent;
    overflow-x: hidden;
    justify-content: center;
    width: 100%;
    height: 100%;
    position: relative;
    min-height: 100vh;
}
h1, h2, h3, h4, h5, h6 {
    font-family: 'Great Vibes', serif;
    text-transform: uppercase;
    font-weight: 600;
    font-style: normal;
}
html, body {
    overflow-x: hidden !important;
    width: 100% !important;
    max-width: 100vw;
  }
* {
    box-sizing: border-box;
    max-width: 100vw;
  }    
.main-content {
    max-width: 1800px; /* Ancho máximo para pantallas grandes */
    margin: 0 auto; /* Centra el contenido horizontalmente */
    padding: 0; /* Espacio interior para evitar que el contenido toque los bordes */
    box-sizing: border-box; /* Incluye padding y borde en el tamaño total */
}
#envelope {
    position: fixed;
    top: 0;
    left: 0;
    right: 0; /* agrega esto */
    width: auto; /* evita usar 100vw */
    height: 100vh;
    perspective: 1000px;
    z-index: 10;
    overflow-x: hidden;
  }  
#envelope-top, #envelope-bottom {
        position: absolute;
        width: 100%;
        height: 50%;
        transition: transform 1s ease-in-out, opacity 1s ease-in-out;
        background-image: url('/images/envelope.png');
        background-size: cover; /* Ajusta la imagen para que cubra el área */
        background-position: center; /* Centra la imagen */
        box-shadow: 0 4px 8px rgba(216, 198, 181, 0.5), 0 6px 20px rgba(216, 198, 181, 0.3);
}
#envelope-top {
    top: 0;
    border-bottom: none;
}
#envelope-bottom {
    bottom: 0;
    border-top: none;
}
#seal {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 160px;
    height: 160px;
    background: white;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.216);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: opacity 1s ease-in-out;
    z-index: 11;
}
#seal h2 {
    margin: 0;
    font-size: 48px;
    font-family: Garamond, serif;
    text-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    background: linear-gradient(to right, #b29a68, #d4af37, #ffd700, #d4af37, #b29a68);
    -webkit-background-clip: text;
    color: transparent;
}
.hidden {
    display: none;
}
/* Contenedor principal */
.photo-section {
    position: relative; /* Permite que .photo-text se posicione sobre la imagen */
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh; /* Asegura que la sección ocupe toda la altura de la pantalla */
    text-align: center;
    box-sizing: border-box;
    overflow: hidden; /* Evita que el contenido se desborde */
}
/* Contenedor de la imagen */
.photo-container {
    width: 100%;
    height: 100%;
    overflow: hidden;
}
.photo-container img {
    width: 100%;
    height: 100%;
    object-fit: cover; /* Asegura que la imagen cubra completamente el contenedor */
}
/* Contenedor del texto, posicionado sobre la imagen */
.photo-text {
    position: absolute; /* Posiciona el texto sobre la imagen */
    max-width: 100%;
    z-index: 10; /* Asegura que el texto esté por encima de otros elementos */
}
/* Estilo para los encabezados y párrafos */
.photo-text h1 {
    font-size: 150px;
    text-transform: capitalize;
    margin-top: -800px;
}
.photo-text h2 {
    font-size: 100px;
    margin-top: -130px;
}
.photo-text h1, h2, h3{
    color: white;
}
.photo-text p {
    font-size: 100px;
    margin: -100px 0 0 0;
    font-style: italic;
    color: white;
    text-shadow: 0 0 10px rgba(32, 32, 32, 0.857);
    
}
/* Estilo para la cuenta regresiva */
.title h1{
    font-size: 150px;
    text-transform: capitalize;
    margin-top: -800px;
}
.countdown {
    display: flex;
    justify-content: center;
    margin: 20px 0 0 0;
}
.content {
    padding: 0 0 0 0;
    background-color: white;
    margin: 0 0 0 0;
}
.unit {
    display: inline-block;
    text-align: center;
}
.label {
    font-size: 18px;
    display: block;
}
.fade-in-element {
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 0.5s ease-out, transform 0.5s ease-out;
    will-change: opacity, transform;
}

.fade-in-element.visible {
    opacity: 1;
    transform: translateY(0);
}

.title {
    opacity: 1 !important; /* Asegura que siempre sea visible */
    transform: none !important;
}
.lord-icon-style {
    width: 350px;
    height: 350px;
}
@keyframes fadeIn {
    to {
        opacity: 1;
    }
}
.guest-section{
    background-color: #e8d5b4;
    text-align: center;
    padding: 15px 0 15px;
    margin: -5px 0 0 0;
}
.guest-section p{
    font-size: 55px;
    margin: 0;
    text-shadow: 0 0 10px rgba(255, 255, 255, 0.1); 
    background: linear-gradient(to right, #000000, #1a1a1a, #2c2c2c, #1a1a1a, #000000); 
    -webkit-background-clip: text; 
    color: transparent;
}
.invitation-info-section {
    position: relative;
    background-color: #2c2c2c;
    text-align: center;
    padding: 15px 0 15px;
}
.invitation-info-section p {
    text-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    background: linear-gradient(to right, #b29a68, #d4af37, #ffd700, #d4af37, #b29a68);
    -webkit-background-clip: text;
    color: transparent;
    font-size: 55px;
}
.dresscode-section, .wishes-section, .gallery-section, .playlist-section, .rsvp-section, .nochild-section{
    background-color: white;
    padding: 20px 0 30px;
    margin: 0;
    text-align: center;
}
.story-section h2, .itinerary-item h2, .dresscode-section h2, .filter-section h2, .wishes-section h2, .gallery-section h2, .playlist-section h2, .rsvp-section h2, .nochild-section h2{
    font-size: 110px;
    margin-bottom: 50px;
    text-transform: initial;
    text-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    background: linear-gradient(to right, #b29a68, #d4af37, #ffd700, #d4af37, #b29a68);
    -webkit-background-clip: text;
    color: transparent;
}
.contenedor-play {
    position: relative; /* Asegura que los elementos dentro se posicionen en relación al contenedor */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-image: url('/images/div-play.png'); /* Ruta a tu imagen de fondo */
    background-size: cover; /* Asegura que la imagen cubra todo el contenedor */
    background-position: center; /* Centra la imagen */
    background-repeat: no-repeat; /* Evita que la imagen se repita */
    width: 100%; /* Ocupa todo el ancho disponible */
    height: 900px; /* Ajusta la altura según sea necesario */
    z-index: 2; /* Asegura que esté sobre cualquier contenido debajo */
    padding: 20px; /* Ajusta el espacio interior si es necesario */
    box-sizing: border-box; /* Incluye el padding en el tamaño total */
    margin-top: -30px;
    margin-bottom: -100px;
    border-radius: 10px;
}
.contenedor-play .fa-play, .contenedor-play .fa-pause, .contenedor-play h1, .contenedor-play h2 .album-section h1, .album-section h2{
    text-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    background: linear-gradient(to right, #b29a68, #d4af37, #ffd700, #d4af37, #b29a68);
    -webkit-background-clip: text;
    color: transparent;
}
.contenedor-play .fa-play{
    font-size: 35px;
    margin: 0;
    padding:0;
}
.contenedor-play h1 {
    font-size: 110px;
    margin-bottom: 5px;
    text-transform: initial;
}
.contenedor-play h2 {
    font-size: 110px;
    margin-bottom: 5px;
    text-transform: initial;
}
.contenedor-play .fa-play, .contenedor-play .fa-pause {
    font-size: 70px;
    cursor: pointer;
}
#playPauseButton {
    touch-action: manipulation; /* Evita retrasos en dispositivos móviles */
    will-change: transform, opacity; /* Optimiza animaciones */
}
.progress-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}
#progress-bar {
    width: 100%;
    margin: 10px 0;
}
.time-display {
    font-size: 65px;
    text-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    background: linear-gradient(to right, #b29a68, #d4af37, #ffd700, #d4af37, #b29a68);
    -webkit-background-clip: text;
    color: transparent;
}
.itinerary-section {
    background-color: white;
    padding: 20px;
    margin: 0;
    text-align: center;
}
.itinerary-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 30px;
}
.itinerary-details {
    text-align: center;
}
.time-location {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 10px 0;
}
.time-location .date {
    font-size: 80px;
    color: black;
}
.time-location .separator {
    margin: 0 10px;
    font-size: 80px;
    color: black;
}
.time-location .time {
    font-size: 80px;
    color: black;
}
.location {
    font-size: 80px;
    color: black;
    margin: 10px 0;
}
.gifts-section h2, .gallery-section h2{
    font-size: 110px;
    margin-bottom: 50px;
    text-transform: initial;
    text-shadow: 0 0 15px rgba(255, 255, 255, 0.2),  
    0 0 30px rgba(255, 255, 255, 0.1); 
    background: linear-gradient(to right, #000000, #0a0a0a, #1c1c1c, #0a0a0a, #000000); 
    -webkit-background-clip: text; 
    color: transparent;
}
.gifts-section p{
    font-size: 80px;
    color: black;
    margin: 10px;
    cursor: pointer;
}
.container {
    max-width: 400px;
    margin: auto;
    padding: 20px;
    border-radius: 10px;
    background: transparent;
}
.details {
    display: none;
    margin-top: 15px;
    text-align: left;
    background: #fff;
    padding: 15px;
    border-radius: 8px;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1);
}
.dresscode-section p, .playlist-section p, .rsvp-section p, .nochild-section p{
    margin: 10px 0;
    font-size: 80px;
    color: black;
}
.gifts-section, .gallery-section{
    background-color: linen;
    text-align: center;
    padding: 10px 0 30px;
}
.dresscode-section .icons {
    display: flex;
    justify-content: center;
    gap: 20px;
    margin: 20px 0;
}
.countdown {
    display: flex;
    justify-content: center;
    text-align: center;
    margin: 0 auto;
    margin-top: 50px;
}
.unit {
    width: 250px;
    height: 250px;
    border-radius: 100%;
    margin: 0;
    padding: 5px 10px;
    background-color: #e8d5b466;
    border: solid 1px white;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.number {
    font-size: 90px;
    color: white;
    text-shadow: 0 0 10px rgba(0, 0, 0, 0.7);
    text-align: center;
}
.label {
    font-size: 74px;
    color: white;
    text-shadow: 0 0 10px rgba(0, 0, 0, 0.7);
    text-align: center;
}
.directions-button, .wishes-section button, .rsvp-section button, .playlist-section button, .filter-section button, .gifts-section button{  
    padding: 10px 20px;
    margin-top: 10px;
    border: none;
    cursor: pointer;
    border-radius: 5px;   
    font-size: 40px;
    background-color: #d4af37; /* Un solo tono dorado clásico */
    color: white;   
    transition: background-color 0.3s, box-shadow 0.3s;  
    font-weight: 200;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.4); /* Sombra alrededor de la imagen */
}
.wishes-section button:hover, .directions-button:hover, .rsvp-section button:hover, .playlist-section button:hover, .filter-section button:hover, .gifts-section button:hover{
    background-color: black;
}
#wish-form {
    margin-top: 20px;
    text-align: left;
    padding: 10px;
}
#wish-form h3 {
    font-size: 90px;
    margin-bottom: 10px;
    text-transform: initial;
}
#wish-form label {
    font-size: 60px;
    margin: 5px 0;
    display: block;
}
#wish-form input, #wish-form textarea {
    width: 90%;
    padding: 10px;
    margin-bottom: 10px;
    border: 1px solid #ccc;
}
.gallery-main {
    margin-bottom: 10px;
}
.gallery-main img {
    width: 850px;
    height: 850px;
    object-fit: cover;
    cursor: pointer;
    transition: transform 0.3s;
}
.gallery-main img:hover {
    transform: scale(1.05);
}
.gallery-thumbs {
    display: flex;
    justify-content: center;
    gap: 10px;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
    align-items: center;
}
.gallery-thumbs img {
    width: 300px;
    height: 300px;
    object-fit: cover;
    cursor: pointer;
    transition: transform 0.3s;
}
.gallery-thumbs img:hover {
    transform: scale(1.05);
}
.photo-full img {
    width: 100%;
    height: auto;
    margin-bottom: -10px;
    padding: 0;
}
/* Ocultamos el checkbox de control */
.hidden-checkbox {
    display: none;
}
/* Por defecto, el modal está oculto */
.modal {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 950px; 
    height: 990px; 
    background-color: #ffffffa1; 
    z-index: 1000;
    padding: 20px;
    box-sizing: border-box;
    align-content: center;
    justify-items: center;
}
/* Mostrar el modal cuando el checkbox está activado */
.hidden-checkbox:checked + .modal {
    display: grid;
}
/* Estilos del botón de cierre */
.close {
    position: absolute;
    top: 50px;
    right: 20px;
    color: black;
    font-size: 85px;
    cursor: pointer;
}
/* Estilo para la imagen dentro del modal */
.modal-content {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
    margin: auto;
    display: block;
}
.banner-section {
    background-color: #e8d5b4;
    text-align: center;
    padding: 10px 0;
    margin-top: 0;
    font-size: 64px;
    color: white;
}
footer {
    background-color: #2c2c2c;
    color: white;
    text-align: center;
    padding: 10px 0;
}
footer .social-icons {
    display: flex;
    justify-content: center;
    gap: 20px;
    margin-bottom: 20px;
}
footer .social-icons a {
    color: white;
    font-size: 44px;
    transition: color 0.3s;
}
footer .social-icons a:hover {
    color: #b29a68;
}
footer .logo img {
    width: 100px;
    height: auto;
}
.texto-play, .icono-contenedor {
    position: relative;
    z-index: 2; /* Asegúrate de que los contenidos estén encima del gradiente */
}
.icono-contenedor .fas {
    font-size: 35px;
    margin-top: 10px;
}
.details img{
    width: 100%;
    height: auto;
}
.album-section{
    padding: 20px;
    text-align: center;
}
.qr-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.upload-btn{
    padding: 10px 20px;
    margin-top: 10px;
    border: none;
    cursor: pointer;
    border-radius: 5px;   
    font-size: 40px;
    background-color: #d4af37; /* Un solo tono dorado clásico */
    color: white;   
    transition: background-color 0.3s, box-shadow 0.3s;  
    font-weight: 200;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.4); /* Sombra alrededor de la imagen */
    text-decoration: none;
}
.upload-btn:hover {
    background-color: black;
}
@media (max-width: 768px) {
    .main-content {
        padding: 0;
        max-width: 100%; /* Asegura que ocupe todo el ancho disponible en móviles */
    }
    #seal {
        width: 100px;
        height: 100px;
    }
    #seal h2 {
        font-size: 32px;
    }
    .photo.section{
        position: relative; /* Permite que .photo-text se posicione sobre la imagen */
        display: flex;
        justify-content: center;
        align-items: center;
        height: 100vh; /* Asegura que la sección ocupe toda la altura de la pantalla */
        text-align: center;
        box-sizing: border-box;
        overflow: hidden; /* Evita que el contenido se desborde */
    }
    .photo-text h1 {
        margin-top: -300px;
        font-size: 50px;
    }
    .photo-text h2 {
        margin-top: -40px;
        font-size: 35px;
    }
    .photo-text h3{
        margin-top: -50px;
        font-size: 45px;
        text-transform: none;
    }
    .texto-play h2{
        margin-top: -50px;
        font-size: 35px;
    }
    .photo-text p {
        font-size: 25px;
        padding: 10px;
        margin-top: -30px;
    }
    .countdown{
        margin-top: 20px;
    }
    .countdown .unit {
        margin: 0 5px;
    }
    .contenedor-play{
        height: 300px;
    }
    .quote-section{
        padding: 25px 5px;
    }
    .quote-section p, .guest-section p, .invitation-info-section p, .special-day-section p .dresscode-section p, .gifts-section p, .filter-section p, .rsvp-section p, .playlist-section p, .dresscode-section p, .nochild-section p, .qr-container p{
        font-size: 22px;
        padding: 10px;
    }
    .story-section h2, .gifts-section h2, .dresscode-section h2, .filter-section h2, .rsvp-section h2, .wishes-section h2, .playlist-section h2, .gallery-section h2, .nochild-section h2, .album-section h1, h2{
        font-size: 45px;
        margin-bottom: 10px;
        text-transform: initial;
    }
    .itinerary-item h2{
        font-size: 40px;
        margin: 0;
        text-transform: initial;
    }
    .itinerary-item i, .location-item i, .dresscode-section i, .playlist-section i{
        font-size: 60px;
        margin-bottom: 8px;
    }
    .itinerary-item p{
        font-size: 22px;
        padding: 5px;
        margin: 0;
    }
    .lord-icon-style{
        width: 200px;
        height: 200px;
    }
    .directions-button{
        font-size: 16px;
    }
    .rsvp-section button, .playlist-section button, .filter-section button,.wishes-section button, .gifts-section button{
        font-size: 16px;
    }
    .upload-btn{
        font-size: 16px;
    }
    .time-location .date, .time-location .time{
        font-size: 24px;
        margin: 8px;
        font-style: normal;
    }
    .time-location .separator{
        font-size: 36px;
        font-style: normal;
    }
    .time-display{
        font-size: 30px;
    }
    .unit {
        width: 75px;
        height: 75px;
        padding: 15px 10px 1px 10px;
        border-radius: 100px;
    }
    .number {
        font-size: 20px;
        margin-bottom: 5px;
    }
    .label {
        font-size: 18px;
    }
    .modal{
        width: 400px;
        height: 700px;
    }
    .close{
        font-size: 90px;
    }
    .carousel-content {
        width: 90%;
    }
    .gallery-main img {
        width: 300px;
        height: 450px;
    }
    .gallery-thumbs img {
        width: 70px;
        height: 80px;
    }
    .contenedor-play h1, .contenedor-play h2{
        font-size: 19px;
    }
    #wish-form h3{
        font-size: 40px;
    }
    #wish-form label{
        font-size: 30px;
    }
    .banner-section{
        font-size: 28px;
        margin: 0 0 0 0;
        padding: 5px;
    }
    .details img{
        width: 100%;
        height: auto;
    }
}
@media (min-width: 768px) and (max-width: 1900px) {
    .photo-section{
        height: 2000px;
    }
    .main-content {
        padding: 0;
        max-width: 100%; /* Ajusta el ancho para tablets */
    }
    .contenedor-play h2 {
        font-size: 55px;
    }
    .time-display {
        font-size: 45px;
    }
    .photo-text h1 {
        margin-top: -800px;
        font-size: 135px;
    }

    .photo-text h2 {
        margin-top: -100px;
        font-size: 80px;
    }

    .photo-text p {
        font-size: 60px;
        padding: 10px;
    }
    .contenedor-play {
        height:880px;
    }
    .gallery-main img {
        width: 700px; /* Ajusta el tamaño de las imágenes principales en la galería */
        height: 750px;
    }

    .gallery-thumbs img {
        width: 160px;
        height: 200px;
    }
    .modal{
        width: 700px;
        height: 750px;
    }
    .countdown {
        margin: 0 auto;
    }

    .unit {
        width: 205px;
        height: 205px;
        padding: 10px;
        border-radius: 100%;
    }

    .number {
        font-size: 90px;
    }

    .label {
        font-size: 50px;
    }

    .itinerary-item i {
        font-size: 80px;
    }
    .lord-icon-style {
        width: 300px;
        height: 300px;
    }
    .itinerary-item h2, .gifts-section h2, .playlist-section h2, .dresscode-section h2, .gallery-section h2, .filter-section h2, .wishes-section h2, .rsvp-section h2 {
        font-size: 85px;
    }
    .invitation-info-section p, .guest-section p {
        font-size: 55px;
    }
    .itinerary-item p, .gifts-section p, .filter-section p, .playlist-section p, .dresscode-section p, .rsvp-section p{
        font-size: 70px;
        margin: 10px;
        padding: 5px;
    }
    .time-location .date{
        font-size: 65px;
    }
    .time-location .time{
        font-size: 65px;
    }
    .directions-button {
        font-size: 30px;
        padding: 10px 20px;
    }
    .gifts-section button, .playlist-section button, .filter-section button, .rsvp-section button, .wishes-section button{
        font-size: 30px;
        padding: 10px 20px;
    }
    #wish-form h3{
        font-size: 55px;
    }
    #wish-form label{
        font-size: 35px;
    }
    #wish-form input, #wish-form textarea {
        width: 95%;
        font-size: 35px;
    }
    .banner-section {
        font-size: 55px;
    }
    footer .social-icons i{
        font-size: 55px;
    }
    footer .logo img{
        width: 120px;
        height: auto;
    }
}